package com.zyh.auth.log;

import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Aspect
@Component
public class LoggingAspect {
    private static final Logger logger = LoggerFactory.getLogger(LoggingAspect.class);

    @Before("execution(* com.zyh..*(..))")
    public void logBefore() {
        logger.info("接口被调用");
    }

    @AfterReturning(pointcut = "execution(* com.zyh..*(..))", returning = "result")
    public void logAfterReturning(Object result) {
        logger.info("接口返回: " + result);
    }
}
