package com.zyh.system.controller;

import com.zyh.common.domain.Building;
import com.zyh.common.domain.Households;
import com.zyh.common.domain.Housetype;
import com.zyh.common.result.Result;
import com.zyh.system.service.BuildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("build")
public class BuildController {

    @Autowired
    private BuildService buildService;

    //添加楼栋（住户）
    @PostMapping("addBuild")
    public Result addBuild(@RequestBody Building building) {

        return buildService.addBuild(building);
    }

    //查询楼栋信息
    @PostMapping("getBuild")
    public Result<List<Building>> getBuild() {

        return buildService.getBuild();
    }

    //查询住户信息
    @PostMapping("getHouse")
    public Result<List<Households>> getHouse(@RequestParam String buildId, @RequestParam Integer unit) {

        return buildService.getHouse(buildId, unit);
    }

    //删除住户
    @PostMapping("deleteHouse")
    public Result deleteHouse(@RequestParam Integer id) {

        return buildService.deleteHouse(id);
    }

    //修改住户信息
    @PostMapping("updateHouse")
    public Result updateHouse(@RequestBody Households households) {

        return buildService.updateHouse(households);
    }

    //房间类型
    @GetMapping("getHousetype")
    public Result<List<Housetype>> getHousetype() {
        return buildService.getHousetype();
    }


}
