package com.zyh.system.controller;

import com.zyh.common.domain.Area;
import com.zyh.common.domain.House;
import com.zyh.common.domain.vo.AreaVo;
import com.zyh.common.result.Result;
import com.zyh.system.service.HouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

@RestController
public class HouseController {

    @Autowired
    private HouseService houseService;

    //新增小区
    @PostMapping("addHouse")
    public Result addHouse(@RequestBody House house) {
        return houseService.addHouse(house);
    }

    //查询小区
    @PostMapping("getHouse")
    public Result<List<House>> getHouse() {
        return houseService.getHouse();
    }

    //查询行政区树
    @PostMapping("getJurisdictionTree")
    public Result<List<Area>> getJurisdictionTree(@RequestParam Integer parentId) {
        return houseService.getJurisdictionTree(parentId);
    }

    //上传图片
    @PostMapping("sendPic")
    public Result sendPic(@RequestParam("file") MultipartFile multipartFile) {

        Result result = houseService.sendPic(multipartFile);

        return result;
    }

    //目录树
    @PostMapping("getTree")
    public Result<List<AreaVo>> getTree() {
        return houseService.getTree();
    }

}
