package com.zyh.system.service.impl;

import com.zyh.common.domain.Building;
import com.zyh.common.domain.Households;
import com.zyh.common.domain.Housetype;
import com.zyh.common.domain.dto.PersonNum;
import com.zyh.common.result.Result;
import com.zyh.system.mapper.BuildMapper;
import com.zyh.system.service.BuildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Service
public class BuildServicempl implements BuildService {
    @Autowired
    BuildMapper buildMapper;

    @Override
    public Result addBuild(Building building) {
        //查询编号重复不可添加
        String buildId = buildMapper.selectBuildId(building.getBuildId());
        if(buildId!=null){
            return Result.error("编号重复不可添加");
        }

        Integer add =buildMapper.addBuild(building);



        if(add>0){
            int i = building.getEndFloor() - building.getStartFloor() + 1;//楼层
            int i2 = building.getEndHold() - building.getStartHold();//户数
            for (int i1 = 1; i1 <= i; i1++) {
                for (int i3 = 1; i3 <= i2+1; i3++) {
                    Households households = new Households();
                    String holdId = String.valueOf(i1 * 100 + i3);
                    households.setHoldId(holdId);
                    households.setBuildId(building.getBuildId());
                    households.setUnit(building.getUnit());
                    buildMapper.addHouse(households);

                }
            }
            return Result.success("添加成功");
        }

        return Result.error("添加失败");
    }

    @Override
    public Result<List<Building>> getBuild() {
        List<Building> buildings =buildMapper.getBuild();
        return Result.success(buildings);
    }

    @Override
    public Result<List<Households>> getHouse(String buildId,Integer unit) {
        List<Households> households =buildMapper.getHouse(buildId,unit);
        return Result.success(households);
    }

    @Override
    public Result deleteHouse(Integer id) {
        Integer delete =buildMapper.deleteHouse(id);
        if(delete>0){
            return Result.success("删除成功");
        }
        return Result.error("删除失败");
    }

    @Override
    public Result updateHouse(Households households) {
        Integer update =buildMapper.updateHouse(households);
        if(update>0){
            return Result.success("更新成功");
        }
        return Result.error("更新失败");
    }

    @Override
    public Result<List<Housetype>> getHousetype() {
        List<Housetype> housetypes =buildMapper.getHousetype();
        return Result.success(housetypes);
    }

    @Override
    public List<PersonNum> getPersonNum() {
        return buildMapper.getPersonNum();
    }

    @Override
    public void updateBuildPersonNum(Integer personNum,Integer unit,String buildId) {
        buildMapper.updateBuildPersonNum(personNum, unit, buildId);
    }


}
